void draw_scoreboard(global *g_point)
	{


		glLoadIdentity();					// Reset The View

		glTranslatef(-18.0,-16.0,-22.0);

		glBindTexture(GL_TEXTURE_2D, g_point->texture[WHITE]);  //disable textures, by using an all white one

 	 	glColor3f(1.0f,1.0f,1.0f);

 	 	glBegin(GL_QUADS);					// start drawing a polygon
int d=0;


/* draw vertical lines*/

while (d<6)
		{
  		glVertex3f( 0.0+d*8.0f, 21.0f, 0.0f);		// Top left
  		glVertex3f( 0.16f+d*8.0f, 21.0f, 0.0f);		// Top right
  		glVertex3f( 0.16f+d*8.0f, -1.0f, 0.0f);		// Bottom Right
  		glVertex3f( 0.0f+d*8.0f, -1.0f, 0.0f);		// Bottom Left
  		d++;
		}

/* draw horizontal lines*/

d=0;

while (d<5)

		{
  		glVertex3f(-1.0f, 0.16f+d*5.0f, 0.0f);		// Top left
  		glVertex3f(41.0f,0.16f+d*5.0f, 0.0f);		// Top right
  		glVertex3f(41.0f,0.0f+d*5.0f, 0.0f);		// Bottom Right
  		glVertex3f(-1.0f, 0.0f+d*5.0f, 0.0f);		// Bottom Left
  		d++;
		}




/*draw numbers*/


	int hundreds,tens,ones,x=0, y=0;

    while(x<5)
		{
		while (y<4)
			{

if (g_point->scoreboard[x][y]>999)
	g_point->scoreboard[x][y]=0;

ones=g_point->scoreboard[x][y];

hundreds=ones/100;

ones-=hundreds*100;

tens=ones/10;

ones-=tens*10;

 	 	glBegin(GL_QUADS);					// start drawing a polygon

switch (x)
	{
	case 0:
		glColor3f(0.0f,0.0f,1.0f);
	break;

	case 1:
		glColor3f(1.0f,0.0f,0.0f);
	break;

	case 2:
		glColor3f(0.0f,1.0f,0.0f);
	break;

	case 3:
		glColor3f(1.0f, 0.85f,0.0f);
	break;


	default:
 	 	glColor3f(1.0f,1.0f,1.0f);

	}


if (hundreds>0)
		{
		glBindTexture(GL_TEXTURE_2D, g_point->texture[hundreds]);  //disable textures, by using an all white one

		glVertex3f(1.0f+x*8.0f,19.0f-y*5.0f,-0.04f);		// Top left
		glVertex3f(4.0f+x*8.0f,19.0f-y*5.0f,-0.04f);		// Top right
		glVertex3f(4.0f+x*8.0f,16.0f-y*5.0f,-0.04f);		// Bottom Right
		glVertex3f(1.0f+x*8.0f,16.0f-y*5.0f,-0.04f);		// Bottom Left
		}

if (tens>0||hundreds>0)
		{
		glBindTexture(GL_TEXTURE_2D, g_point->texture[tens]);  //disable textures, by using an all white one

		glVertex3f(3.3f+x*8.0f,19.0f-y*5.0f,-0.03f);		// Top left
		glVertex3f(6.3f+x*8.0f,19.0f-y*5.0f,-0.03f);		// Top right
		glVertex3f(6.3f+x*8.0f,16.0f-y*5.0f,-0.03f);		// Bottom Right
		glVertex3f(3.3f+x*8.0f,16.0f-y*5.0f,-0.03f);		// Bottom Left
		}

		glBindTexture(GL_TEXTURE_2D, g_point->texture[ones]);  //disable textures, by using an all white one

		glVertex3f(5.6f+x*8.0f,19.0f-y*5.0f,-0.02f);		// Top left
		glVertex3f(8.6f+x*8.0f,19.0f-y*5.0f,-0.02f);		// Top right
		glVertex3f(8.6f+x*8.0f,16.0f-y*5.0f,-0.02f);		// Bottom Right
		glVertex3f(5.6f+x*8.0f,16.0f-y*5.0f,-0.02f);		// Bottom Left

		y++;
		}
	x++;
	y=0;

	}

    	glLoadIdentity();					// Reset The View

		glTranslatef(-10.4,0.9f,-11.0);
		glRotatef(0.5*PI,0.0f,0.0f,1.0f);

	x=0;


	while (x<4)
		{
			switch (x)
			{
			case 0:
				glColor3f(0.0f,0.0f,1.0f);
			break;

			case 1:
				glColor3f(1.0f,0.0f,0.0f);
			break;

			case 2:
				glColor3f(0.0f,1.0f,0.0f);
			break;

			case 3:
				glColor3f(1.0f, 0.85f,0.0f);
			break;

			default:
		 	 	glColor3f(1.0f,1.0f,1.0f);

			}


		//draw player

		glBindTexture(GL_TEXTURE_2D, g_point->texture[WHITE]);  //disable textures, by using an all white one

 	 	glBegin(GL_TRIANGLES);				// start drawing a polygon
  		glVertex3f( 0.0f, 0.54f, 0.001f);		// Top
  		glVertex3f( 0.4f,-0.4f, 0.001f);		// Bottom Right
  		glVertex3f(-0.4f,-0.4f, 0.001f);		// Bottom Left

		float f=MIN_PLAYER_SIZE;

		float f2=MIN_PLAYER_SIZE-0.1;


 	 	glColor3f(1.0f,1.0f,1.0f);

		glBegin(GL_QUADS);				// start 12-1:30
		glVertex3f( 0.0f,f2*1.0f,-0.0015f);		//12 i
		glVertex3f( 0.0f,f*1.0f,-0.0015f);		//12
 	 	glVertex3f(f*0.707106781f,f*0.707106781f,-0.0015f);	//1:30
 	 	glVertex3f(f2*0.707106781f,f2*0.707106781f,-0.0015f);	//1:30i

		glVertex3f(f2*0.707106781f,f2*0.707106781f,-0.0015f); //1:30
		glVertex3f(f*0.707106781f,f*0.707106781f,-0.0015f); //1:30
 	 	glVertex3f(f*1.0f,0.0f,-0.0015f);	//3
 	 	glVertex3f(f2*1.0f,0.0f,-0.0015f);	//3

 	 	glVertex3f(f2*1.0f,0.0f,-0.0015f);	//3
 	 	glVertex3f(f*1.0f,0.0f,-0.0015f);	//3
		glVertex3f(f*0.707106781f,f*-0.707106781f,-0.0015f); //4:30
		glVertex3f(f2*0.707106781f,f2*-0.707106781f,-0.0015f); //4:30

		glVertex3f(f2*0.707106781f,f2*-0.707106781f,-0.0015f); //4:30
		glVertex3f(f*0.707106781f,f*-0.707106781f,-0.0015f); //4:30
		glVertex3f(0.0f,f*-1.0f,-0.0015f);	//6
		glVertex3f(0.0f,f2*-1.0f,-0.0015f);	//6

		glVertex3f(0.0f,f2*-1.0f,-0.0015f);	//6
		glVertex3f(0.0f,f*-1.0f,-0.0015f);	//6
		glVertex3f(f*-0.707106781f,f*-0.707106781f,-0.0015f); //7:30
		glVertex3f(f2*-0.707106781f,f2*-0.707106781f,-0.0015f); //7:30

		glVertex3f(f2*-0.707106781f,f2*-0.707106781f,-0.0015f); //7:30
		glVertex3f(f*-0.707106781f,f*-0.707106781f,-0.0015f); //7:30
		glVertex3f(f*-1.0f,0.0f,-0.0015f);	//9
		glVertex3f(f2*-1.0f,0.0f,-0.0015f);	//9

		glVertex3f(f2*-1.0f,0.0f,-0.0015f);	//9
		glVertex3f(f*-1.0f,0.0f,-0.0015f);	//9
		glVertex3f(f*-0.707106781f,f*0.707106781f,-0.0015f); //10:30
		glVertex3f(f2*-0.707106781f,f2*0.707106781f,-0.0015f); //10:30

		glVertex3f(f2*-0.707106781f,f2*0.707106781f,-0.0015f); //10:30
		glVertex3f(f*-0.707106781f,f*0.707106781f,-0.0015f); //10:30
		glVertex3f(0.0f,f*1.0f,-0.0015f);	//12
		glVertex3f(0.0f,f2*1.0f,-0.0015f);	//12

		glTranslatef(2.6f,0.0f,0.0f);
		x++;
		}


if (g_point->rounds_played>999)
	g_point->rounds_played=0;

ones=g_point->rounds_played;

hundreds=ones/100;

ones-=hundreds*100;

tens=ones/10;

ones-=tens*10;


		glLoadIdentity();					// Reset The View
		glTranslatef(-18,-37.0,-23.0);

 	 	glBegin(GL_QUADS);					// start drawing a polygon
 	 	glColor3f(1.0f,1.0f,1.0f);

if (hundreds>0)
		{
		glBindTexture(GL_TEXTURE_2D, g_point->texture[hundreds]);  //disable textures, by using an all white one

		glVertex3f(1.0f,19.0f,-0.04f);		// Top left
		glVertex3f(4.0f,19.0f,-0.04f);		// Top right
		glVertex3f(4.0f,16.0f,-0.04f);		// Bottom Right
		glVertex3f(1.0f,16.0f,-0.04f);		// Bottom Left
		}

if (tens>0||hundreds>0)
		{
		glBindTexture(GL_TEXTURE_2D, g_point->texture[tens]);  //disable textures, by using an all white one

		glVertex3f(3.3f,19.0f,-0.03f);		// Top left
		glVertex3f(6.3f,19.0f,-0.03f);		// Top right
		glVertex3f(6.3f,16.0f,-0.03f);		// Bottom Right
		glVertex3f(3.3f,16.0f,-0.03f);		// Bottom Left
		}

		glBindTexture(GL_TEXTURE_2D, g_point->texture[ones]);  //disable textures, by using an all white one

		glVertex3f(5.6f,19.0f,-0.02f);		// Top left
		glVertex3f(8.6f,19.0f,-0.02f);		// Top right
		glVertex3f(8.6f,16.0f,-0.02f);		// Bottom Right
		glVertex3f(5.6f,16.0f,-0.02f);		// Bottom Left


		glBindTexture(GL_TEXTURE_2D, g_point->texture[ROUNDS_PLAYED]);  //disable textures, by using an all white one

		glVertex3f(7.9f,19.0f,-0.01f);		// Top left
		glVertex3f(31.9f,19.0f,-0.01f);		// Top right
		glVertex3f(31.9f,-5.0f,-0.01f);		// Bottom Right
		glVertex3f(7.9f,-5.0f,-0.01f);		// Bottom Left
}


void reset_scoreboard(global *g_point)
	{
	int x=0, y=0;

    while(x<5)
		{
		while (y<4)
			{
			g_point->scoreboard[x][y]=0;
			y++;
			}
		x++;
		y=0;
		}
 	}

void scoreboard_add_kill(player *target, player *attacker, global *g_point)
	{
		int x,y;

		y=(attacker->controller-32)/64;
		x=(target->controller-32)/64;

		if(g_point->r_control_box.status==RECORDING)
			g_point->scoreboard[x][y]++;
	}

int scoreboard_add_victory(global *g_point)
	{
	int count=0;

	player *target=g_point->first_player;
	player *winner=0;

	while (target)
		{
		if(target->knocked_out)
			count++;

		if (!target->knocked_out)
			winner=target;

		target=target->next;
		}

	if(g_point->r_control_box.status==RECORDING)

	{

	if ((g_point->number_of_players-count)==1)
		{
		g_point->scoreboard[4][((winner->controller-32)/64)]++;
		g_point->rounds_played++;
		return winner->controller;
		}
	if (g_point->number_of_players==count)
		{
		g_point->rounds_played++;

		return 1;
		}
	}


return 0;
	}
