offensive *create_offensive(player *orign, global *g_point, int type, int sounds)
	{
	offensive *o=malloc(sizeof(offensive));

if (type==SHOT)
	{
	o->source=orign;
	o->type=SHOT;
	o->speed=g_point->shot_speed;
	o->orientation=orign->orientation;
	o->position.X=orign->position.X+(fsin(o->orientation));
	o->position.Y=orign->position.Y+(fcos(o->orientation));
	o->red=orign->red;
	o->green=orign->green;
	o->blue=orign->blue;
	o->size=0.08f;


if (orign->juize<g_point->cost_shot)
		{
		float tmp=(float)(g_point->max_shot_strength*(orign->juize/g_point->cost_shot)*0.7);
		o->shot_strength=(int)tmp;
		orign->juize=0.0f;
		}
else
	{
	o->shot_strength=g_point->max_shot_strength*0.7f;
	orign->juize-=g_point->cost_shot;
	}
	if(type==SHOT)

if (sounds==TRUE)
	play_sfx(sound.shot, o->shot_strength*1.6, pos2pan(o->position.X), g_point);

	orign->button.a=-g_point->shot_repeat_delay;
	}


/*reorganize the pointers*/

	if(g_point->first_offensive)					//if not first in offensive in row
		{
		o->prev=g_point->last_offensive;
		g_point->last_offensive->next=o;
		}
	else
		{
		g_point->first_offensive=o;
		o->prev=0;
		}
	o->next=0;
	g_point->last_offensive=o;



	return o;

	};

void remove_offensive (offensive *current, global *g_point)
	{


	offensive *prev=current->prev;				//the prev and next pointers are void *
	offensive *next=current->next;


	if (prev==0)						//if this is the first offensive in the row
			{
			next->prev=0;						// make the next player the first in row
			g_point->first_offensive=next;		//udate the global start of player list
			}
	else
		if (next==0)
				{						//if this is the last player in the row
				prev->next=0;					//make the prev player the last in row
				g_point->last_offensive=prev;
				}
			else
				{								//make the surrounding offensives point at eachother
				next->prev=current->prev;
				prev->next=current->next;
				}
free(current);
	}

void update_offensive(offensive *current, global *g_point)
	{
	if (current->shot_strength>=0)
		current->shot_strength--;
	else
		{
			remove_offensive (current, g_point);
			return;
		}

if (current->type==SHOT || current->type==MINE_EXPLOSION)
	{
	player *target=g_point->first_player;												//check for collison with player;

		while (target)
			{
		if(!target->knocked_out)
				{
				if (shot_player_collision(current,target, g_point)>0)
					{
					target->health-=current->shot_strength;

						if(current->source!=target)
							current->source->health+=current->shot_strength*g_point->assailant_earns;
							float vol=current->shot_strength/g_point->max_shot_strength;
								vol*=127;
								if(vol>127)
								   vol=127;

				if (current->type!=MINE_EXPLOSION)
					play_sfx(sound.player_hit, 128+(int)vol, pos2pan(current->position.X), g_point);


					if (target->health<0)
						{
						play_sfx(sound.player_destroyed, 196, pos2pan(target->position.X), g_point);

						offensive *tmp=create_explosion(target->red,target->green, target->blue, g_point, target->position, 1.5f*g_point->max_shot_strength,EXPLOSION);
									tmp->size=tmp->size*1.5f;


						create_explosion(current->red, current->green, current->blue, g_point, current->position, g_point->max_shot_strength,EXPLOSION);
							target->knocked_out=1;


						scoreboard_add_kill(target, current->source, g_point);

						if(target->controller!=32)
							{
							g_point->mist.red+=target->red;
							g_point->mist.green+=target->green;
							g_point->mist.blue+=target->blue;
							g_point->mist.alpha+=g_point->mist_max_a*g_point->flash_intensity;
							}
						else
							{
							g_point->mist.blue+=target->blue;
							g_point->mist.alpha+=g_point->mist_max_a*g_point->flash_intensity;
							}

					if (current->type!=MINE_EXPLOSION)
						{
						remove_offensive(current, g_point);
						return;
						}
					else
						{
						create_explosion(current->red, current->green, current->blue, g_point, current->position, current->shot_strength, MINE_EXPLOSION);
						current->type=MINE_PASSIVE_OFFENSIVE;
						}


						}

						else
							{
							float mul=(float)current->shot_strength/(float)g_point->max_shot_strength;
							if(target->controller!=32)
								{
								g_point->mist.red+=mul*target->red;
								g_point->mist.green+=mul*target->green;
								g_point->mist.blue+=mul*target->blue;
								g_point->mist.alpha+=mul*g_point->flash_intensity;
								}
							else
								{
								g_point->mist.blue+=target->blue*mul;
								g_point->mist.alpha+=mul*g_point->flash_intensity;
								}



							if (current->type!=MINE_EXPLOSION)
								{
								create_explosion(current->red, current->green, current->blue, g_point, current->position, current->shot_strength, EXPLOSION);
								remove_offensive(current, g_point);
								return;
								}

							else
								{
								create_explosion(current->red, current->green, current->blue, g_point, current->position, current->shot_strength, MINE_EXPLOSION);
								current->type=MINE_PASSIVE_OFFENSIVE;
								}

							}

					}
				}
				target=target->next;
			}


if (current->type==SHOT|| current->type==MINE_EXPLOSION)
	{
	mine *mine=g_point->first_mine;												//check for collison with player;

		while (mine)
			{
			if (shot_mine_collision(current,mine, g_point)>0 )
					{
					play_sfx(sound.shot_mine_hit, current->shot_strength+128, pos2pan(current->position.X), g_point);

						if(current->type==MINE_EXPLOSION)
							current->type=MINE_PASSIVE_OFFENSIVE;
						else
							{
						float length=(float)current->shot_strength*10/(float)g_point->max_shot_strength;


						glLoadIdentity();					// Reset The View

						glTranslatef(current->position.X,current->position.Y,-22.0f);		// Move Left to current position And Into The Screen

					  	glRotatef(current->orientation,0.0f,0.0f,1.0f);

				 	 	glBegin(GL_QUADS);					// start drawing a polygon
				 	 	glColor3f(current->red,current->green,current->blue);
				  		glVertex3f( -0.08f, 0.0f, 0.0f);		// Top left
				  		glVertex3f( 0.08f, 0.0f, 0.0f);		// Top right
				  		glVertex3f( 0.15f,-0.15f, 0.0f);		// Bottom Right
				  		glVertex3f(-0.15f,-0.15f, 0.0f);		// Bottom Left


				 	 	glBegin(GL_TRIANGLES);					// start drawing a polygon
				  		glVertex3f( -0.15f,-0.15f, 0.0f);		// Top left
				  		glVertex3f( 0.15f,-0.15f, 0.0f);		// Top right
				  		glColor3f(0.0f,0.0f,0.0f);
						glVertex3f( 0.0f,-length, 0.0f);		// Bottom Right

 							remove_offensive(current, g_point);
							return;
							}

					}
			mine=mine->next;
			}
		}

	}

	if (current->type==SHOT)
		{
		current->position.X-=fcos(current->orientation+PI_2)*current->speed;				//update the position vector
		current->position.Y+=fsin(current->orientation+PI_2)*current->speed;

			if (current->position.X>32.0f)
				current->position.X-=64.0f;
			else
			if (current->position.X<-32.0f)
				current->position.X+=64.0f;

			if (current->position.Y>24.0f)
				current->position.Y-=48.0f;
			else
			if (current->position.Y<-24.0f)
				current->position.Y+=48.0f;


	float length=(float)current->shot_strength*10/(float)g_point->max_shot_strength;


		glLoadIdentity();					// Reset The View

		glTranslatef(current->position.X,current->position.Y,-22.0f);		// Move Left to current position And Into The Screen

	  	glRotatef(current->orientation,0.0f,0.0f,1.0f);

 	 	glBegin(GL_QUADS);					// start drawing a polygon
 	 	glColor3f(current->red,current->green,current->blue);
  		glVertex3f( -0.08f, 0.0f, 0.0f);		// Top left
  		glVertex3f( 0.08f, 0.0f, 0.0f);		// Top right
  		glVertex3f( 0.15f,-0.15f, 0.0f);		// Bottom Right
  		glVertex3f(-0.15f,-0.15f, 0.0f);		// Bottom Left


 	 	glBegin(GL_TRIANGLES);					// start drawing a polygon
  		glVertex3f( -0.15f,-0.15f, 0.0f);		// Top left
  		glVertex3f( 0.15f,-0.15f, 0.0f);		// Top right
  		glColor3f(0.0f,0.0f,0.0f);
		glVertex3f( 0.0f,-length, 0.0f);		// Bottom Right
//  		glVertex3f(-0.15f,-length, 0.0f);		// Bottom Left
	}					//end of SHOT


	if (current->type==MINE_EXPLOSION || current->type==MINE_PASSIVE_OFFENSIVE)
		{
		current->shot_strength-=MINE_DECREASE_PER_TURN;

	float length, intensity, layer, width;

	if (current->type!=MINE_PASSIVE_OFFENSIVE)
		{
		current->inherited_shot++;
		current->position.X-=fcos(current->orientation+PI_2)*current->speed;
		current->position.Y+=fsin(current->orientation+PI_2)*current->speed;
		length=(current->speed*(float)current->inherited_shot);
		intensity=0.02f;
		layer=0.0f;
		width=1.0f;
		}
	else
		{
		length=(current->speed*current->D);
		layer=-0.01;
		width=current->D/6;
		intensity=(1-current->D/6);
		}

		glLoadIdentity();					// Reset The View

		glTranslatef(current->position.X,current->position.Y,-22.0f);		// Move Left to current position And Into The Screen

	  	glRotatef(current->orientation,0.0f,0.0f,1.0f);

 	 	glBegin(GL_QUADS);					// start drawing a polygon
		glColor3f(current->red*intensity,current->green*intensity,current->blue*intensity);
		glVertex3f( -0.4f*width,0.0f, layer);		// Top left
		glVertex3f( 0.4f*width,0.0f, layer);		// Top right
		glColor3f(current->red,current->green,current->blue);
		glVertex3f( 0.f,-length, layer);		// Bottom Right
		glVertex3f(-0.0f,-length, layer);		// Bottom Left
		}

	}

void update_offensives(global *g_point)		//calculates movement of players and collision with passives and other players,then draw
	{

	offensive *current=g_point->first_offensive;

	if (current==0)
		return;
		do
			{
			update_offensive(current, g_point);


			current=current->next;

			}

		while (current);
	}


float shot_player_collision(offensive *current, player *target, global *g_point)
{
/*collision code is almost copy'n'paste from http://www.gamasutra.com/features/20020118/vandenhuevel_02.htm*/

/*begin conversion from polar to rectangular coordinates*/

if (target->type==BLUE && !target->bouncing)
	{
	vector tmp;
	tmp.X=-(fcos(target->orientation+PI_2)*target->speed);
	tmp.Y=(fsin(target->orientation+PI_2)*target->speed);
	target->velocity=tmp;
	}

/*end conversion from polar to rektangular coordinates*/


/*distance vector between the two objects*/
vector C;
C.X=target->position.X-current->position.X;
C.Y=target->position.Y-current->position.Y;

/*velocity vector for the relative movement of the two objects*/
vector V;
V.X=-(fcos(current->orientation+PI_2)*current->speed)-target->velocity.X;
V.Y=(fsin(current->orientation+PI_2)*current->speed)-target->velocity.Y;


/*early escape 1, is the relative velocity of the objects greater than the distance between them?*/


float v_length=fsqrt(V.X*V.X+V.Y*V.Y);


float sum_radi=(current->size+target->size);


float C_square=C.X*C.X+C.Y*C.Y;

if(v_length<(fsqrt(C_square)-sum_radi))
	return -1;

if(v_length<=0.0000000f)
	v_length=0.0001;


/*normalizing the V vector*/

vector VN;

VN.X=V.X/v_length;
VN.Y=V.Y/v_length;

float D=C.X*VN.X+C.Y*VN.Y;

if (D<0)
	return -2;

float F_square=C_square-(D*D);

float sum_radi_square=sum_radi*sum_radi;

if (F_square>sum_radi_square)
	return -3;

float T_square=sum_radi_square-F_square;

D-=fsqrt(T_square);

if (D>v_length)
	return -4;

D/=v_length;

//update the position of the objects to the point where they touch

if(current->type==MINE_EXPLOSION)
	{
	current->D=((float)current->inherited_shot+D);
	current->strength-=((float)MINE_DECREASE_PER_TURN*D);
	}


	current->position.X-=fcos(current->orientation+PI_2)*current->speed*D;				//update the velocity vector
	current->position.Y+=fsin(current->orientation+PI_2)*current->speed*D;


/*move the player for the remainder of the frame along the new velocity vector*/

D=1.0f-D;

if (g_point->shot_player_push>0.000f)
	{

	target->bouncing=1;
	target->velocity.X-=fcos(current->orientation+PI_2)*current->shot_strength*g_point->shot_player_push;
	target->velocity.Y+=fsin(current->orientation+PI_2)*current->shot_strength*g_point->shot_player_push;
	}




return 1;

}


int shot_mine_collision(offensive *current, mine *target, global *g_point)
{
/*collision code is almost copy'n'paste from http://www.gamasutra.com/features/20020118/vandenhuevel_02.htm*/

/*distance vector between the two objects*/
vector C;
C.X=target->position.X-current->position.X;
C.Y=target->position.Y-current->position.Y;

/*velocity vector for the relative movement of the two objects*/

vector V,tmp;

tmp.X=-(fcos(current->orientation+PI_2)*current->speed);
tmp.Y=(fsin(current->orientation+PI_2)*current->speed);

V.X=tmp.X-target->velocity.X;
V.Y=tmp.Y-target->velocity.Y;

/*early escape 1, is the relative velocity of the objects greater than the distance between them?*/


float v_length=fsqrt(V.X*V.X+V.Y*V.Y);


float sum_radi=(current->size+target->size);


float C_square=C.X*C.X+C.Y*C.Y;


if(v_length<(fsqrt(C_square)-sum_radi))
	return -1;

if(v_length<=0.0000000f)
	{

	v_length=0.0001;
	}


if(v_length<=0.0000000f)
	v_length=0.0001;


/*normalizing the V vector*/

vector VN;

VN.X=V.X/v_length;
VN.Y=V.Y/v_length;

float D=C.X*VN.X+C.Y*VN.Y;


if (D<0)
	return -2;

float F_square=C_square-(D*D);

float sum_radi_square=sum_radi*sum_radi;

if (F_square>sum_radi_square)
	return -3;


float T_square=sum_radi_square-F_square;

D-=fsqrt(T_square);

if (D>v_length)
	return -4;

D/=v_length;

if(current->type==MINE_EXPLOSION)
	current->D=((float)current->inherited_shot+D);

	current->position.X-=fcos(current->orientation+PI_2)*current->speed*D;				//update the velocity vector
	current->position.Y+=fsin(current->orientation+PI_2)*current->speed*D;

/*calculate bounce*/
/*normalizing the C vector*/


float MUL_TMP;

if (current->type!=MINE_EXPLOSION)
	MUL_TMP=current->shot_strength*g_point->shot_mine_push;
else
	MUL_TMP=(6-current->D)*g_point->mine_explode_push;//MUL_TMP=0.1f;

target->velocity.X += (MUL_TMP * tmp.X);
target->velocity.Y += (MUL_TMP * tmp.Y);


/*move them for the remainder of the frame along the new velocity vector*/


return 1;

}

//detonate_arti(offensive *target)
